UbuntuUpdates.org

Package "postgresql-11"

Name: postgresql-11

Description:

object-relational SQL database, version 11 server

Latest version: 11.7-0ubuntu0.19.10.1
Release: eoan (19.10)
Level: updates
Repository: main
Homepage: http://www.postgresql.org/

Links

Save this URL for the latest version of "postgresql-11": https://www.ubuntuupdates.org/postgresql-11


Download "postgresql-11"


Other versions of "postgresql-11" in Eoan

Repository Area Version
base universe 11.5-1
base main 11.5-1
security main 11.7-0ubuntu0.19.10.1
security universe 11.7-0ubuntu0.19.10.1
updates universe 11.7-0ubuntu0.19.10.1
PPA: Postgresql 11.3-1.pgdg14.04+1
PPA: Postgresql 11.7-2.pgdg18.04+1
PPA: Postgresql 11.7-2.pgdg16.04+1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 11.7-0ubuntu0.19.10.1 2020-02-18 15:07:14 UTC

  postgresql-11 (11.7-0ubuntu0.19.10.1) eoan-security; urgency=medium

  * New upstream release (LP: #1863108)
    - A dump/restore is not required however, if you use the contrib/intarray
      extension with a GiST index, and you rely on indexed searches for the <@
      operator, see the release notes for details in regard to a related fix.
    - Add missing permissions checks for ALTER ... DEPENDS ON EXTENSION.
      Marking an object as dependent on an extension did not have any
      privilege check whatsoever. This oversight allowed any user to mark
      routines, triggers, materialized views, or indexes as droppable by
      anyone able to drop an extension. Require that the calling user own the
      specified object (and hence have privilege to drop it). (CVE-2020-1720)
    - Details about these and many further changes can be found at:
      https://www.postgresql.org/docs/11/static/release-11-6.html
      https://www.postgresql.org/docs/11/static/release-11-7.html

 -- Christian Ehrhardt <email address hidden> Thu, 13 Feb 2020 15:18:24 +0100

1863108 New upstream microreleases 9.5.21 10.12 11.7 and 12.2



About   -   Send Feedback to @ubuntu_updates